﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace RealTime128503
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer timer = new DispatcherTimer();
        DateTime i = new DateTime();
        Random rand = new Random();
        double value1; double value2;
        Random rd;
        public MainWindow()
        {
            InitializeComponent();
            value1 = 0;
            value2 = 180;
            rd = new Random();
            timer.Start();
            timer.Interval = TimeSpan.FromMilliseconds(200);
            timer.Tick += new EventHandler(timer_Tick);           
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            var itemsSource1 = (this.chart.Series[0].ItemsSource as ObservableCollection<Model>);
            int index = itemsSource1.Count - 1;
            i = itemsSource1[index].Speed.AddMinutes(1);

            itemsSource1.Add(new Model()
            {
                Speed = i,
                Rate1 = Math.Sin(value1 * (Math.PI / 180.0)),
                Rate2 = Math.Sin(value2 * (Math.PI / 180.0))
            });
            value1++;
            value2++;
        }

        private void XAxis_ActualRangeChanged(object sender, Syncfusion.UI.Xaml.Charts.ActualRangeChangedEventArgs e)
        {
            //e.VisibleMinimum is used to maintain the minimum visible range of the axis
            if (e.IsScrolling)
                return;
            e.VisibleMinimum = (double)e.ActualMaximum - 250d;
        }
    }
}
